(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     17338,        608]
NotebookOptionsPosition[     15479,        542]
NotebookOutlinePosition[     15918,        559]
CellTagsIndexPosition[     15875,        556]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"formula", "=", 
  RowBox[{"ArcTan", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"R", 
      RowBox[{"(", 
       RowBox[{"y", "+", "B"}], ")"}]}], ")"}], " ", "/", " ", 
    RowBox[{"(", 
     RowBox[{"x", "+", "A"}], ")"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4891187086954603`*^9, 3.48911874367069*^9}}],

Cell[BoxData[
 RowBox[{"ArcTan", "[", 
  FractionBox[
   RowBox[{"R", " ", 
    RowBox[{"(", 
     RowBox[{"B", "+", "y"}], ")"}]}], 
   RowBox[{"A", "+", "x"}]], "]"}]], "Output",
 CellChangeTimes->{3.4891187443862133`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"odvod", "=", 
  RowBox[{
   RowBox[{"Abs", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"formula", ",", " ", "R"}], "]"}], "dR"}], " ", "]"}], "+", " ", 
   RowBox[{"Abs", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"formula", ",", " ", "B"}], "]"}], "dB"}], " ", "]"}], " ", "+",
    " ", 
   RowBox[{"Abs", "[", 
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{"formula", ",", " ", "A"}], "]"}], "dA"}], " ", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.489118748004722*^9, 3.4891188024562893`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Abs", "[", 
   FractionBox[
    RowBox[{"dB", " ", "R"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"A", "+", "x"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["R", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], "]"}], "+", 
  RowBox[{"Abs", "[", 
   FractionBox[
    RowBox[{"dA", " ", "R", " ", 
     RowBox[{"(", 
      RowBox[{"B", "+", "y"}], ")"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"A", "+", "x"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["R", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], "]"}], "+", 
  RowBox[{"Abs", "[", 
   FractionBox[
    RowBox[{"dR", " ", 
     RowBox[{"(", 
      RowBox[{"B", "+", "y"}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"A", "+", "x"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["R", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], 
   "]"}]}]], "Output",
 CellChangeTimes->{3.4891188032901173`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Napaka", "=", 
  RowBox[{
   RowBox[{"Abs", "[", 
    FractionBox[
     RowBox[{"dB", " ", "R"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"A", "+", "x"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["R", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], "]"}], "+", 
   RowBox[{"Abs", "[", 
    FractionBox[
     RowBox[{"dA", " ", "R", " ", 
      RowBox[{"(", 
       RowBox[{"B", "+", "y"}], ")"}]}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"A", "+", "x"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["R", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], "]"}], "+", 
   RowBox[{"Abs", "[", 
    FractionBox[
     RowBox[{"dR", " ", 
      RowBox[{"(", 
       RowBox[{"B", "+", "y"}], ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"A", "+", "x"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["R", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.489118819284894*^9, 3.489118825750853*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Abs", "[", 
   FractionBox[
    RowBox[{"dB", " ", "R"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"A", "+", "x"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["R", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], "]"}], "+", 
  RowBox[{"Abs", "[", 
   FractionBox[
    RowBox[{"dA", " ", "R", " ", 
     RowBox[{"(", 
      RowBox[{"B", "+", "y"}], ")"}]}], 
    RowBox[{
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"A", "+", "x"}], ")"}], "2"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["R", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], "]"}], "+", 
  RowBox[{"Abs", "[", 
   FractionBox[
    RowBox[{"dR", " ", 
     RowBox[{"(", 
      RowBox[{"B", "+", "y"}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"A", "+", "x"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["R", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"A", "+", "x"}], ")"}], "2"]]}], ")"}]}]], 
   "]"}]}]], "Output",
 CellChangeTimes->{3.4891188278762493`*^9, 3.489125266360095*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"R", "=", "0.9975"}], "\[IndentingNewLine]", 
 RowBox[{"dR", " ", "=", " ", "0.000765322"}], "\[IndentingNewLine]", 
 RowBox[{"B", "=", " ", "0.1469"}], "\[IndentingNewLine]", 
 RowBox[{"dB", " ", "=", " ", "0.045868283"}], "\[IndentingNewLine]", 
 RowBox[{"A", " ", "=", " ", "0.02563"}], "\[IndentingNewLine]", 
 RowBox[{"dA", " ", "=", "0.006678708"}]}], "Input",
 CellChangeTimes->{{3.489118833926627*^9, 3.489118925845524*^9}, {
  3.489221656391397*^9, 3.489221709233214*^9}}],

Cell[BoxData["0.9975`"], "Output",
 CellChangeTimes->{3.489118868391876*^9, 3.489118927129168*^9, 
  3.489125267983953*^9}],

Cell[BoxData["0.0013`"], "Output",
 CellChangeTimes->{3.489118868391876*^9, 3.489118927129168*^9, 
  3.489125268050391*^9}],

Cell[BoxData["0.152`"], "Output",
 CellChangeTimes->{3.489118868391876*^9, 3.489118927129168*^9, 
  3.48912526815044*^9}],

Cell[BoxData["0.0859`"], "Output",
 CellChangeTimes->{3.489118868391876*^9, 3.489118927129168*^9, 
  3.489125268228035*^9}],

Cell[BoxData["0.02638`"], "Output",
 CellChangeTimes->{3.489118868391876*^9, 3.489118927129168*^9, 
  3.489125268324359*^9}],

Cell[BoxData["0.0125`"], "Output",
 CellChangeTimes->{3.489118868391876*^9, 3.489118927129168*^9, 
  3.48912526841786*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", "Napaka", "]"}]], "Input",
 CellChangeTimes->{{3.489118942372889*^9, 3.4891189622310457`*^9}}],

Cell["\<\
        0.08568525*
     -   Abs(1/
     -     ((0.02638 + x)*
     -       (1 + 
     -         (0.9950062500000001*
     -            (0.152 + y)**2)/
     -          (0.02638 + x)**2))) + 
     -  0.01246875*
     -   Abs((0.152 + y)/
     -     ((0.02638 + x)**2*
     -       (1 + 
     -         (0.9950062500000001*
     -            (0.152 + y)**2)/
     -          (0.02638 + x)**2))) + 
     -  0.0013*Abs((0.152 + y)/
     -     ((0.02638 + x)*
     -       (1 + 
     -         (0.9950062500000001*
     -            (0.152 + y)**2)/
     -          (0.02638 + x)**2)))\
\>", "Output",
 CellChangeTimes->{3.4891189628265676`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Napaka"], "Input",
 CellChangeTimes->{{3.489125260256364*^9, 3.489125261501134*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"0.08568525`", " ", 
   RowBox[{"Abs", "[", 
    FractionBox["1", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"0.02638`", "\[InvisibleSpace]", "+", "x"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{"0.9950062500000001`", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"0.152`", "\[InvisibleSpace]", "+", "y"}], ")"}], "2"]}], 
         
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"0.02638`", "\[InvisibleSpace]", "+", "x"}], ")"}], 
          "2"]]}], ")"}]}]], "]"}]}], "+", 
  RowBox[{"0.01246875`", " ", 
   RowBox[{"Abs", "[", 
    FractionBox[
     RowBox[{"0.152`", "\[InvisibleSpace]", "+", "y"}], 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"0.02638`", "\[InvisibleSpace]", "+", "x"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{"0.9950062500000001`", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"0.152`", "\[InvisibleSpace]", "+", "y"}], ")"}], "2"]}], 
         
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"0.02638`", "\[InvisibleSpace]", "+", "x"}], ")"}], 
          "2"]]}], ")"}]}]], "]"}]}], "+", 
  RowBox[{"0.0013`", " ", 
   RowBox[{"Abs", "[", 
    FractionBox[
     RowBox[{"0.152`", "\[InvisibleSpace]", "+", "y"}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"0.02638`", "\[InvisibleSpace]", "+", "x"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{"0.9950062500000001`", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"0.152`", "\[InvisibleSpace]", "+", "y"}], ")"}], "2"]}], 
         
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"0.02638`", "\[InvisibleSpace]", "+", "x"}], ")"}], 
          "2"]]}], ")"}]}]], "]"}]}]}]], "Output",
 CellChangeTimes->{{3.4891252623484373`*^9, 3.489125270892733*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"brezA", "=", 
  RowBox[{"ArcTan", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"R", 
      RowBox[{"(", 
       RowBox[{"y", "+", "B"}], ")"}]}], ")"}], "/", "x"}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.489902766073126*^9, 3.489902789014213*^9}}],

Cell[BoxData[
 RowBox[{"ArcTan", "[", 
  FractionBox[
   RowBox[{"R", " ", 
    RowBox[{"(", 
     RowBox[{"B", "+", "y"}], ")"}]}], "x"], "]"}]], "Output",
 CellChangeTimes->{3.489902789957267*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"napaka", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"D", "[", 
      RowBox[{"brezA", ",", "R"}], "]"}], "]"}], "dR"}], " ", "+", " ", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"D", "[", 
      RowBox[{"brezA", ",", "B"}], "]"}], "]"}], "dB"}]}]}]], "Input",
 CellChangeTimes->{{3.489902796983597*^9, 3.489902834740704*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"dB", " ", 
   RowBox[{"Abs", "[", 
    FractionBox["R", 
     RowBox[{"x", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["R", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
         SuperscriptBox["x", "2"]]}], ")"}]}]], "]"}]}], "+", 
  RowBox[{"dR", " ", 
   RowBox[{"Abs", "[", 
    FractionBox[
     RowBox[{"B", "+", "y"}], 
     RowBox[{"x", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["R", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"B", "+", "y"}], ")"}], "2"]}], 
         SuperscriptBox["x", "2"]]}], ")"}]}]], "]"}]}]}]], "Output",
 CellChangeTimes->{3.489902835603179*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"B", "=", 
  RowBox[{"-", "0.02776"}]}], "\[IndentingNewLine]", 
 RowBox[{"dB", "=", "0.0120"}], "\[IndentingNewLine]", 
 RowBox[{"R", "=", " ", "0.9976"}], "\[IndentingNewLine]", 
 RowBox[{"dR", "=", "0.0017"}]}], "Input",
 CellChangeTimes->{{3.4899028396424522`*^9, 3.4899028404475927`*^9}, {
  3.489902952613451*^9, 3.489903003532248*^9}}],

Cell[BoxData[
 RowBox[{"-", "0.02776`"}]], "Output",
 CellChangeTimes->{3.4899030052967987`*^9}],

Cell[BoxData["0.012`"], "Output",
 CellChangeTimes->{3.489903005364479*^9}],

Cell[BoxData["0.9976`"], "Output",
 CellChangeTimes->{3.489903005397039*^9}],

Cell[BoxData["0.0017`"], "Output",
 CellChangeTimes->{3.489903005416526*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["napaka"], "Input",
 CellChangeTimes->{{3.4899030068029737`*^9, 3.489903007371685*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"0.011971200000000001`", " ", 
   RowBox[{"Abs", "[", 
    FractionBox["1", 
     RowBox[{"x", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{"0.99520576`", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "0.02776`"}], "+", "y"}], ")"}], "2"]}], 
         SuperscriptBox["x", "2"]]}], ")"}]}]], "]"}]}], "+", 
  RowBox[{"0.0017`", " ", 
   RowBox[{"Abs", "[", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "0.02776`"}], "+", "y"}], 
     RowBox[{"x", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        FractionBox[
         RowBox[{"0.99520576`", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "0.02776`"}], "+", "y"}], ")"}], "2"]}], 
         SuperscriptBox["x", "2"]]}], ")"}]}]], "]"}]}]}]], "Output",
 CellChangeTimes->{3.489903007894059*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FortranForm", "[", "napaka", "]"}]], "Input",
 CellChangeTimes->{{3.4899030133117027`*^9, 3.4899030218632383`*^9}}],

Cell["\<\
        0.011971200000000001*
     -   Abs(1/
     -     (x*(1 + 
     -         (0.99520576*
     -            (-0.02776 + y)**2)/
     -          x**2))) + 
     -  0.0017*Abs((-0.02776 + y)/
     -     (x*(1 + 
     -         (0.99520576*
     -            (-0.02776 + y)**2)/
     -          x**2)))\
\>", "Output",
 CellChangeTimes->{3.4899030222945337`*^9}]
}, Open  ]]
},
WindowSize->{640, 750},
WindowMargins->{{359, Automatic}, {Automatic, 90}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"7.0 for Linux x86 (64-bit) (February 25, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 341, 10, 38, "Input"],
Cell[911, 34, 224, 7, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1172, 46, 556, 17, 64, "Input"],
Cell[1731, 65, 1693, 59, 197, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3461, 129, 1799, 60, 208, "Input"],
Cell[5263, 191, 1715, 59, 197, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7015, 255, 505, 8, 164, "Input"],
Cell[7523, 265, 123, 2, 38, "Output"],
Cell[7649, 269, 123, 2, 38, "Output"],
Cell[7775, 273, 121, 2, 38, "Output"],
Cell[7899, 277, 123, 2, 38, "Output"],
Cell[8025, 281, 124, 2, 38, "Output"],
Cell[8152, 285, 122, 2, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8311, 292, 137, 2, 38, "Input"],
Cell[8451, 296, 651, 22, 442, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9139, 323, 98, 1, 38, "Input"],
Cell[9240, 326, 2034, 59, 197, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11311, 390, 279, 9, 38, "Input"],
Cell[11593, 401, 198, 6, 54, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11828, 412, 381, 11, 38, "Input"],
Cell[12212, 425, 870, 29, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13119, 459, 366, 7, 114, "Input"],
Cell[13488, 468, 96, 2, 38, "Output"],
Cell[13587, 472, 75, 1, 38, "Output"],
Cell[13665, 475, 76, 1, 38, "Output"],
Cell[13744, 478, 76, 1, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13857, 484, 100, 1, 38, "Input"],
Cell[13960, 487, 951, 30, 130, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14948, 522, 139, 2, 38, "Input"],
Cell[15090, 526, 373, 13, 270, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
